package cz.moneta.test.dsl.ufo.banka.pages.fon.newCif;

import cz.moneta.test.harness.support.web.*;

public interface NewCifAdditionalInformation extends CIF111_S001_NewCifDataNavigation {
    String MARITAL_STATUS_SELECT = "CIF111_S001_C004";
    String HOUSING_TYPE_SELECT = "CIF111_S001_C005";
    String RELATIONSHIP_TO_THE_BANK_SELECT = "CIF111_S001_C009";

    String DEPENDANTS_INPUT = "CIF111_S001_E033";
    String RESIDENCY_SINCE_INPUT = "CIF111_S001_E034";

    String NO_PEP_RADIO = "CIF111_S001_R004_0";
    String SJM_NO_RADIO = "CIF111_S001_R006_11";

    @Select(MARITAL_STATUS_SELECT)
    NewCifAdditionalInformation selectMaritalOfStatus(String maritalStatus);

    @Click(value = SJM_NO_RADIO, jsClick = true)
    NewCifAdditionalInformation clickSjmNo();

    @Select(HOUSING_TYPE_SELECT)
    NewCifAdditionalInformation selectAccommodationType(String accommodationType);

    @TypeInto(RESIDENCY_SINCE_INPUT)
    NewCifAdditionalInformation fillResidencySince(String residencySince);

    @Click(value = NO_PEP_RADIO, jsClick = true)
    NewCifAdditionalInformation clickNoPep();

    @TypeInto(DEPENDANTS_INPUT)
    NewCifAdditionalInformation fillDependants(String dependants);

    @Select(RELATIONSHIP_TO_THE_BANK_SELECT)
    NewCifAdditionalInformation selectRelationshipToTheBank(String relationship);
}